1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Can I play downloaded games with 3.5

Discussion in 'Sony PSP - Mod and firmware discussion' started by Cmurphy15, Jun 7, 2007.

  1. Cmurphy15

    Cmurphy15 Member

    Joined:
    Jun 7, 2007
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    11
    Hi I just bought a psp and upgraded to 3.5, and I regret it because i heard you can download games with 3.03 by downgrading to 1.5, but there is no downgrader for 3.5 yet, but my question is can i play downloaded games on my psp (3.5) or not?
     
  2. Blahs

    Blahs Member

    Joined:
    Apr 10, 2007
    Messages:
    70
    Likes Received:
    0
    Trophy Points:
    16
    sorry,

    no luck there. Some of us are still waiting for the 3.11 downgrader. 3.5 downgrader will probably only come out in like a years time (if your lucky)

    the only way to play iso and do funky stuff with the psp is to have a custom firmware version on the psp. The only way to get custom firmware is to have 3.03 or lower.

    if i were you, id try to sell my psp and get another with lower firmware on it, or already loaded with custom firmware.

    good luck...and sorry
     
  3. Cmurphy15

    Cmurphy15 Member

    Joined:
    Jun 7, 2007
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    11
    Well I have a 3 year in-store warranty, but i need an explanation for request, so what should I say?
     
  4. Blahs

    Blahs Member

    Joined:
    Apr 10, 2007
    Messages:
    70
    Likes Received:
    0
    Trophy Points:
    16
    what can you say?...

    tell them that you bought the wrong version psp. that you need version 3.03 to work with another program that's on your PC that only works with versions up to 3.03...or something...

    or tell them you bought the wrong colour psp for your little brothers birthday and exchange it for another psp with a lower version...and different colour.

    just remember to check the version of software on the psp.
    A = 1.50
    B = 1.51
    C = 1.52
    D = 1.52
    E = 1.52
    F = 2.00
    G = 2.01
    H = 2.50
    I = 2.60
    J = 2.70
    K = 2.71
    L = 2.81
    M= 3.01

    If you get version 2.8 - 3.03, your going to need GTA:LCS with version 2.0 firmware on it (pretty rare game) to downgrade. try to get a psp with really old firmware.
     
    Last edited: Jun 8, 2007
  5. Cmurphy15

    Cmurphy15 Member

    Joined:
    Jun 7, 2007
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    11
    well all the new ones came with 2.6

    and also, do i HAVE to have GTA?
     
  6. Blahs

    Blahs Member

    Joined:
    Apr 10, 2007
    Messages:
    70
    Likes Received:
    0
    Trophy Points:
    16
    only if the firmware is higher than 2.8. so you should be safe with 2.6. just search around for some downgrading instructions from FW v2.6.
     

Share This Page